package com.ruoyi.sy.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 职业热度与紧缺对象 sy_vocational_hits_lack
 * 
 * @author mingxue
 * @date 2022-03-30
 */
public class SyVocationalHitsLack extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 编码 */
    @Excel(name = "编码")
    private String code;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 点击数 */
    @Excel(name = "点击数")
    private String hits;

    /** 层级 */
    @Excel(name = "层级")
    private Long level;

    /** 祖级详情 */
    @Excel(name = "祖级详情")
    private String levels;

    /** 简介 */
    @Excel(name = "简介")
    private String summary;

    /** 类型（1热门职业，2紧缺职业） */
    @Excel(name = "类型", readConverterExp = "1=热门职业，2紧缺职业")
    private Integer type;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setHits(String hits) 
    {
        this.hits = hits;
    }

    public String getHits() 
    {
        return hits;
    }
    public void setLevel(Long level) 
    {
        this.level = level;
    }

    public Long getLevel() 
    {
        return level;
    }
    public void setLevels(String levels) 
    {
        this.levels = levels;
    }

    public String getLevels() 
    {
        return levels;
    }
    public void setSummary(String summary) 
    {
        this.summary = summary;
    }

    public String getSummary() 
    {
        return summary;
    }
    public void setType(Integer type) 
    {
        this.type = type;
    }

    public Integer getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("code", getCode())
            .append("name", getName())
            .append("hits", getHits())
            .append("level", getLevel())
            .append("levels", getLevels())
            .append("summary", getSummary())
            .append("createTime", getCreateTime())
            .append("type", getType())
            .toString();
    }
}
